Please remove ifupdown2 from Ubuntu

Bug #1872590 reported by Jeremy Bicha on 2020-04-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ifupdown2 (Ubuntu)
Undecided
Łukasz Zemczak

Bug Description

ifupdown2 is the last thing in Ubuntu that depends on python-argcomplete.
python-argcomplete is no longer built by Debian's python-argcomplete source package.
python-argcomplete depends on python-wheel (source: wheel) which is no longer built by source as part of the python2 removal.

ifupdown2 has been removed from Debian Testing, but not Unstable yet.

Please remove ifupdown2 from Ubuntu focal.

https://tracker.debian.org/pkg/ifupdown2
https://people.canonical.com/~ubuntu-archive/nbs.html

Łukasz Zemczak (sil2100) wrote :

Just stumbled upon this package when looking at our current NBS. Yes, this seems like something we should do. Also, I see it has a low popcon value, so I don't suppose many people would miss it. No reverse-dependencies. Proceeding.

Changed in ifupdown2 (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
Łukasz Zemczak (sil2100) wrote :

$ remove-package -m "Package obsolete, removed from Debian testing, depends on no-longer-built packages (LP: #1872590)" ifupdown2
Removing packages from focal:
 ifupdown2 1.2.7-1build1 in focal
  ifupdown2 1.2.7-1build1 in focal amd64
  ifupdown2 1.2.7-1build1 in focal arm64
  ifupdown2 1.2.7-1build1 in focal armhf
  ifupdown2 1.2.7-1build1 in focal i386
  ifupdown2 1.2.7-1build1 in focal ppc64el
  ifupdown2 1.2.7-1build1 in focal riscv64
  ifupdown2 1.2.7-1build1 in focal s390x
Comment: Package obsolete, removed from Debian testing, depends on no-longer-built packages (LP: #1872590)
Remove [y|N]? y
1 package successfully removed.

Changed in ifupdown2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers